Summary: A compression and file packaging/archive utility
Name: zip
Version: 3.0
Release: 4%{?dist}
License: BSD
URL: http://www.info-zip.org/Zip.html
Source0: http://downloads.sourceforge.net/infozip/zip30.tar.gz

# patch3000~3005 are from fedora
Patch3000: zip-3.0-exec-shield.patch
Patch3001: zip-3.0-currdir.patch
Patch3002: zip-3.0-time.patch
Patch3003: man.patch
Patch3004: zip-3.0-format-security.patch
Patch3005: zipnote.patch

BuildRequires: make gcc
BuildRequires: bzip2-devel

%description
Zip is useful for packaging a set of files for distribution, for 
archiving files, and for saving disk space by temporarily compressing
unused files or directories. Zip puts one or more compressed files 
into a single ZIP archive, along with information about the files(name,
path, date, time of last modification, protection, and check information
 to verify file integrity). An entire directory structure can be packed
into a ZIP archive with a single command.


%prep
%autosetup -n zip30 -p1


%build 
%{make_build} -f unix/Makefile prefix=%{_prefix} CC="cc %{optflags}" generic


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
%{make_install} -f unix/Makefile BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}/man1


%files
%license LICENSE
%doc README README.CR CHANGES TODO WHATSNEW WHERE 
%doc proginfo/algorith.txt
%{_bindir}/zip{,cloak,note,split}
%{_mandir}/man1/zip{,cloak,note,split}.1.gz


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jun 08 2022 doriscchao <doriscchao@tencent.com> - 3.0-1
- initial build,Version 3.0, Release 1



